Bug 9390 - Solaris printf doesn't allow %s, NULL
Solaris printf doesn't allow %s, NULL
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.9
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 13:05 UTC by Stefan Metzmacher
Modified: 2012-11-16 08:13 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v4-0-test (4.33 KB, patch)
2012-11-15 08:10 UTC, Stefan Metzmacher
bjacke: review+
Details
Patches for v3-6-test (6.58 KB, patch)
2012-11-15 08:22 UTC, Stefan Metzmacher
bjacke: review+
Details
Patches for v3-5-test (13.70 KB, patch)
2012-11-15 08:23 UTC, Stefan Metzmacher
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2012-11-13 13:05:38 UTC
The problem seems to be similar to snprintf() which has a replacement
in lib/replace/snprintf.c

We need to replace all *printf functions.
Comment 1 Stefan Metzmacher 2012-11-15 08:10:02 UTC
Created attachment 8195 [details]
Patch for v4-0-test
Comment 2 Stefan Metzmacher 2012-11-15 08:22:42 UTC
Created attachment 8197 [details]
Patches for v3-6-test
Comment 3 Stefan Metzmacher 2012-11-15 08:23:30 UTC
Created attachment 8198 [details]
Patches for v3-5-test
Comment 4 Karolin Seeger 2012-11-15 11:01:19 UTC
Pushed to autobuild-v4-0-test, v3-6-test and v3-5-test.
Comment 5 Karolin Seeger 2012-11-16 08:13:22 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!